"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const cli = require('heroku-cli-util');
const opn = require('opn');
class Docs extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(Docs);
        if (args.query) {
            this.log(`Searching Dev Center for ${cli.color.magenta(args.query)}...`);
            opn(`https://devcenter.heroku.com/search?q=${args.query}`);
        }
        else {
            this.log('Opening Dev Center...');
            opn('https://devcenter.heroku.com');
        }
    }
}
Docs.description = 'opens the Heroku Dev Center';
Docs.examples = [
    `$ heroku docs
Opening Dev Center in your default browser...
`,
];
Docs.flags = {
    help: command_1.flags.help({ char: 'h' }),
};
Docs.args = [{ name: 'query' }];
exports.default = Docs;
